Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.util
Class CommandOption.String

    java.lang.Object
      cc.mallet.util.CommandOption
          cc.mallet.util.CommandOption.String

Enclosing class:
  CommandOption

    public static class CommandOption.String

extends CommandOption

Nested Class Summary

Nested classes/interfaces inherited from class cc.mallet.util.CommandOption
`CommandOption.Boolean, CommandOption.Double, CommandOption.DoubleArray, CommandOption.File, CommandOption.Integer, CommandOption.IntegerArray, CommandOption.List, CommandOption.ListProviding, CommandOption.Object, CommandOption.ObjectFromBean, CommandOption.Set, CommandOption.SpacedStrings, CommandOption.String`

Field Summary
`java.lang.String` | `defaultValue`
`java.lang.String` | `value`

Constructor Summary
`CommandOption.String(java.lang.Class owner, java.lang.String name, java.lang.String argName, boolean argRequired, java.lang.String defaultValue, java.lang.String shortdoc, java.lang.String longdoc)`

Method Summary
`java.lang.String` | `defaultValueToString()`
`void` | `parseArg(java.lang.String arg)`
`java.lang.String` | `value()`
`java.lang.String` | `valueToString()`

Methods inherited from class cc.mallet.util.CommandOption
`getFullName, getInterpreter, getList, getName, parseArg, postParsing, printOptionValues, process, process, setSummary, wasInvoked`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public java.lang.String value

### defaultValue

    public java.lang.String defaultValue

Constructor Detail

### CommandOption.String

    public CommandOption.String(java.lang.Class owner,
                                java.lang.String name,
                                java.lang.String argName,
                                boolean argRequired,
                                java.lang.String defaultValue,
                                java.lang.String shortdoc,
                                java.lang.String longdoc)

Method Detail

### value

    public java.lang.String value()

### parseArg

    public void parseArg(java.lang.String arg)

  Overrides:
    `parseArg` in class `CommandOption`

### defaultValueToString

    public java.lang.String defaultValueToString()

  Specified by:
    `defaultValueToString` in class `CommandOption`

### valueToString

    public java.lang.String valueToString()

  Specified by:
    `valueToString` in class `CommandOption`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD